Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005400OCamlOCaml generalpublic2011-11-15 11:222012-09-25 20:07
Reporteryveslemaire 
Assigned Todoligez 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.0 
Target VersionFixed in Version 
Summary0005400: Le module Unix sous Cygwin ne fonctionne plus
DescriptionSystème: Windows XP.
Cygwin mis à jour avec setup.exe.
Après création d'un toplevel incluant le module Unix (ocamlmktop -o mytop unix.cma), je lance ./mytop, puis, dans le toplevel, la commande Unix.fork();; J'obtiens:

Cannot find FLEXDLL_RELOCATE
Cannot find FLEXDLL_RELOCATE
870493259 [main] ocamlrun 2828 C:\cygwin\bin\ocamlrun.exe: *** fatal error - unable to rem\
ap \\?\C:\cygwin\lib\ocaml\stublibs\dllunix.so to same address as parent: 0x665C0000 != 0x\
0
Stack trace:
Frame Function Args
0022B5A8 6102796B (0022B5A8, 00000000, 00000000, 00000000)
0022B898 6102796B (6117EC60, 00008000, 00000000, 61180977)
0022C8C8 61004F1B (611A7FAC, 6124763C, 665C0000, 00000000)
End of stack trace
870506264 [main] ocaml 1436 fork: child 2828 - died waiting for dll loading, errno 11
Exception: Unix.Unix_error (Unix.EAGAIN, "fork", "").
Additional InformationAvant la mise à jour de cygwin, j'avais Ocaml 3.08 et le module Unix fonctionnait).
TagsNo tags attached.
Attached Files

- Relationships
related to 0005413closeddoligez ocamldebug raises remap problem on cygwin 

-  Notes
(0006394)
xleroy (administrator)
2011-12-20 09:02

Pourriez-vous mettre a jour Cygwin avec la version 3.12.1 du package OCaml? Cela devrait corriger le probleme. Sinon, merci de nous le signaler.
(0006496)
yveslemaire (reporter)
2011-12-22 11:37

Jai mis a jour Cygwin avec la version 3.12.1 du package OCaml. Cette fois, après
$ ocamlktop -o mytop unix.cma
puis
$ ./mytop
j'obtiens:
Fatal error: exception Invalid_argument("inet_addr_of_string not implemented")
(0006517)
doligez (administrator)
2011-12-23 14:51

Pouvez-vous confirmer que le probleme est resolu par la version 3.12.1-2 du package cygwin ?
(0006519)
yveslemaire (reporter)
2011-12-23 15:55

Je confirme que le probleme est resolu par la version 3.12.1-2 du package cygwin. MERCI!

- Issue History
Date Modified Username Field Change
2011-11-15 11:22 yveslemaire New Issue
2011-12-20 09:00 xleroy Relationship added related to 0005413
2011-12-20 09:02 xleroy Note Added: 0006394
2011-12-20 09:02 xleroy Status new => feedback
2011-12-22 11:37 yveslemaire Note Added: 0006496
2011-12-22 11:37 yveslemaire Status feedback => new
2011-12-23 14:47 doligez Assigned To => doligez
2011-12-23 14:47 doligez Status new => assigned
2011-12-23 14:51 doligez Note Added: 0006517
2011-12-23 14:52 doligez Status assigned => resolved
2011-12-23 14:52 doligez Resolution open => fixed
2011-12-23 15:55 yveslemaire Note Added: 0006519
2012-09-25 20:07 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker